Skip to main content
GET
/
v1
/
webhooks
/
{id}
Get a webhook endpoint
curl --request GET \
  --url https://api.plexospay.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "we_abc123",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "status": "ACTIVE",
  "description": "<string>",
  "secret": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Webhook details

id
string
Example:

"we_abc123"

url
string
events
string[]
status
enum<string>
Available options:
ACTIVE,
DISABLED
description
string | null
secret
string

Only returned on creation

createdAt
string<date-time>
updatedAt
string<date-time>